Subject: bug#49924: e1ce9904aa5511468d295cac3221cb77de994331 does not fix #49924

From: Pal Gloss <[email-masked]>
Date: Sat, 7 Aug 2021 16:02:31 +0200

Hi,
 
Thank you for the quick response.  Unfortunately, the proposed fix is not sufficient: the issue is not that `file' in `package-quickstart-refresh' is a long list (it's 1 string).  I think that the problem is `pp' that calls `prin1' (through `pp-to-string') and `prin1' is controlled by `print-length' and `print-level', too.
 
> Thanks for analysing and identifying these two problems.  Perhaps we
> should have a version of prin1-to-string that really did prin1 the
> entire expression, because this problem comes up again and again...

I don't know if `pp' is supposed to print "readably" (which I understand
as can be `read' again, resulting in `equalp' object).  If it is, changing
`pp-to-string' to bind the `print-*' variables would at least solve #49924.

If changing `pp-to-string' (no idea who else uses it) is too risky can
`print-length' and `print-level' be rebound in the top `let' of
`package-quickstart-refresh'.  Otherwise, rebind them locally around the
two calls to `pp'.

Kind regards.